- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnSubdData Class Reference

# OpenMaya - API module for common classes | FunctionSet classes

Search for all occurrences

## Detailed Description

Subdiv Surface function set for dependency node data.

MFnSubdData allows the creation and manipulation of Subdivision Surface data objects for use in the dependency graph.

If a user written dependency node either accepts or produces Subdivision Surfaces, then this class is used to extract or create the data that comes from or goes to other dependency graph nodes. The MDataHandle::type method will return kSubdiv when data of this type is present.

If a node is receiving a Subdivision Surface via an input attribute, the asSubdSurface method of MDataHandle can be used to access that input Subdivision Surface.

If a node is to create a Subdivision Surface and send it via an output attribute, a new MFnSubdData must be instantiated and then the create method called to build the actual data block as an MObject. This MObject should be passed to the MFnSubd::create method as the parentOrOwner parameter so that the Subdivision Surface will be constructed inside the data block. The MDataHandle::set routine is then used to pass the data block down the connection.

`#include <MFnSubdData.h>`

Inheritance diagram for MFnSubdData:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnSubdData ()
| Destructor.
| MFnSubdData ()
| Default constructor.
| MFnSubdData (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MObject | create (MStatus *ReturnStatus=NULL)
| Create a new MObject, attach it to this instance and initialize it with a data block capable of holding a Subdivision Surface.
| MFnSubdData (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnSubdData | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnSubdData | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kSubdivData.

Reimplemented from MFnGeometryData.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnSubdData".

Reimplemented from MFnGeometryData.

MObject create | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Create a new MObject, attach it to this instance and initialize it with a data block capable of holding a Subdivision Surface.

Parameters:

  [out] | ReturnStatus | kSuccess

Returns:
  The new MObject

MFnSubdData MFnSubdData MFnSubdData MFnSubdData MFnSubdData MFnSubdData MFnSubdData MFnSubdData MFnSubdData MFnSubdData
MFnSubdData MFnSubdData MFnSubdData MFnSubdData MFnSubdData MFnSubdData MFnSubdData MFnSubdData MFnSubdData MFnSubdData